package nc.ui.ypff.ordernodz.ace.serviceproxy;

import nc.bs.framework.common.NCLocator;
import nc.vo.ypff.dzd.AggDzdVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.model.entity.bill.IBill;
import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.ui.pubapp.uif2app.actions.IDataOperationService;
import nc.ui.pubapp.uif2app.query2.model.IQueryService;
import nc.ui.uif2.components.pagination.IPaginationQueryService;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

/**
 * ʾݵĲ
 * 
 * @since 6.0
 * @version 2011-7-6 08:31:09
 * @author duy
 */
public class AceOrdernodzMaintainProxy 
             implements 
                  IDataOperationService,
                  IQueryService 
                     {
    @Override
    public IBill[] insert(IBill[] value) throws BusinessException {
        nc.itf.ypff.IOrdernodzMaintain operator = NCLocator.getInstance().lookup(nc.itf.ypff.IOrdernodzMaintain.class);
        AggDzdVO[] vos = operator.insert((AggDzdVO[]) value);
        return vos;
    }
    @Override
    public IBill[] update(IBill[] value) throws BusinessException {
        nc.itf.ypff.IOrdernodzMaintain operator = NCLocator.getInstance().lookup(nc.itf.ypff.IOrdernodzMaintain.class);
        AggDzdVO[] vos = operator.update((AggDzdVO[]) value);
        return vos;
    }
    @Override
    public IBill[] delete(IBill[] value) throws BusinessException {
        // Ŀǰɾpubappִִ֧ɾ
        // ݵɾʵʹõǣnc.ui.mmpd.samplebill.serviceproxy.SampleDeleteProxy
        nc.itf.ypff.IOrdernodzMaintain operator = NCLocator.getInstance().lookup(nc.itf.ypff.IOrdernodzMaintain.class);
        operator.delete((AggDzdVO[]) value);
        return value;
    }
    @Override
    public Object[] queryByQueryScheme(IQueryScheme queryScheme) throws Exception {
        nc.itf.ypff.IOrdernodzMaintain query = NCLocator.getInstance().lookup(nc.itf.ypff.IOrdernodzMaintain.class);
        return query.query(queryScheme);
    }
    
}
