package nc.bs.ypff.ordernodz.ace.bp;

import nc.bs.ypff.ordernodz.plugin.bpplugin.OrdernodzPluginPoint;
import nc.impl.pubapp.pattern.data.bill.template.InsertBPTemplate;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.AroundProcesser;
import nc.vo.ypff.dzd.AggDzdVO;
import nc.vo.ypff.dzd.SkqdVO;
/**
 * ׼BP
 */
public class AceOrdernodzInsertBP {

  public AggDzdVO[] insert(AggDzdVO[] bills) {

    InsertBPTemplate<AggDzdVO> bp =
        new InsertBPTemplate<AggDzdVO>(OrdernodzPluginPoint.INSERT);
    this.addBeforeRule(bp.getAroundProcesser());
    return bp.insert(bills);
    
  }
  /**
   * ǰ
   * 
   * @param processor
   */
  private void addBeforeRule(AroundProcesser<AggDzdVO> processer) {
  IRule<AggDzdVO> rule=null;
				  				   				     rule = new nc.bs.pubapp.pub.rule.FillInsertDataRule();
				   				   				    				   				   processer.addBeforeRule(rule);
  				   				     rule = new nc.bs.pubapp.pub.rule.CreateBillCodeRule();
				   				   				    				     ((nc.bs.pubapp.pub.rule.CreateBillCodeRule)rule).setCbilltype("FFDZ");
				    				   				    				     ((nc.bs.pubapp.pub.rule.CreateBillCodeRule)rule).setCodeItem("billno");
				    				   				    				     ((nc.bs.pubapp.pub.rule.CreateBillCodeRule)rule).setGroupItem("pk_group");
				    				   				    				     ((nc.bs.pubapp.pub.rule.CreateBillCodeRule)rule).setOrgItem("pk_org");
				    				   				   processer.addBeforeRule(rule);
  				   				     rule = new nc.bs.pubapp.pub.rule.FieldLengthCheckRule();
				   				   				    				   				   processer.addBeforeRule(rule);
  				   				     rule = new nc.bs.pubapp.pub.rule.CheckNotNullRule();
				   				   				    				   				   processer.addBeforeRule(rule);
    }
}
