package nc.bs.ypff.ordernodz.ace.bp;

import nc.bs.ypff.ordernodz.plugin.bpplugin.OrdernodzPluginPoint;
import nc.impl.pubapp.pattern.data.bill.template.UpdateBPTemplate;
import nc.impl.pubapp.pattern.rule.ICompareRule;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nc.vo.ypff.dzd.AggDzdVO;
import nc.vo.ypff.dzd.SkqdVO;

/**
 * ޸ıBP
 * 
 */
public class AceOrdernodzUpdateBP {

  public AggDzdVO[] update(AggDzdVO[] bills, AggDzdVO[] originBills) {

    		    // ޸ģ
        UpdateBPTemplate<AggDzdVO> bp = new UpdateBPTemplate<AggDzdVO>(OrdernodzPluginPoint.UPDATE);

        // ִǰ
        this.addBeforeRule(bp.getAroundProcesser());
        return bp.update(bills, originBills);
  }
  private void addBeforeRule(CompareAroundProcesser<AggDzdVO> processer) {
   IRule<AggDzdVO> rule=null;
					  				   				   				     rule = new nc.bs.pubapp.pub.rule.FillUpdateDataRule();
				    				   				   				    				     				    				   				    				      				       processer.addBeforeRule(rule);
				      				      				   				   				     ICompareRule<AggDzdVO> ruleCom = new nc.bs.pubapp.pub.rule.UpdateBillCodeRule();
				    				   				   				    				     ((nc.bs.pubapp.pub.rule.UpdateBillCodeRule)ruleCom).setCbilltype("FFDZ");
				    				   				    				     ((nc.bs.pubapp.pub.rule.UpdateBillCodeRule)ruleCom).setCodeItem("billno");
				    				   				    				     ((nc.bs.pubapp.pub.rule.UpdateBillCodeRule)ruleCom).setGroupItem("pk_group");
				    				   				    				     ((nc.bs.pubapp.pub.rule.UpdateBillCodeRule)ruleCom).setOrgItem("pk_org");
				    				   				    				      				       processer.addBeforeRule(ruleCom);
				      				      				   				   				     rule = new nc.bs.pubapp.pub.rule.FieldLengthCheckRule();
				    				   				   				    				     				    				   				    				      				       processer.addBeforeRule(rule);
				      				        }

}
